> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Brand Intelligence Insight Events Route

> Newest deterministic events for one owned Brand workspace.



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/brand-intelligence/insight-events
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/insight-events:
    get:
      tags:
        - Brand Intelligence
        - Brand Intelligence
      summary: List Brand Intelligence Insight Events Route
      description: Newest deterministic events for one owned Brand workspace.
      operationId: >-
        list_brand_intelligence_insight_events_route_api_v1_brands__brand_id__brand_intelligence_insight_events_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: group_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Group Id
        - name: module
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - paid-media
                  - google-ads
                  - social
                  - content
                  - seo
                  - reviews
                type: string
              - type: 'null'
            title: Module
        - name: since_days
          in: query
          required: false
          schema:
            type: integer
            maximum: 365
            minimum: 1
            default: 90
            title: Since Days
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandIntelInsightEventListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandIntelInsightEventListResponse:
      properties:
        events:
          items:
            $ref: '#/components/schemas/BrandIntelInsightEventResponse'
          type: array
          title: Events
        has_more:
          type: boolean
          title: Has More
      type: object
      required:
        - events
        - has_more
      title: BrandIntelInsightEventListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BrandIntelInsightEventResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Group Id
        module:
          type: string
          enum:
            - paid-media
            - google-ads
            - social
            - content
            - seo
            - reviews
          title: Module
        event_type:
          type: string
          title: Event Type
        rule_id:
          type: string
          title: Rule Id
        payload:
          additionalProperties: true
          type: object
          title: Payload
        occurred_at:
          type: string
          format: date-time
          title: Occurred At
      type: object
      required:
        - id
        - group_id
        - module
        - event_type
        - rule_id
        - payload
        - occurred_at
      title: BrandIntelInsightEventResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````